mapped_vector< T, StringCompareT > Class Template Reference

`#include <mapped_vector.h>`

Inheritance diagram for mapped_vector< T, StringCompareT >:
Collaboration diagram for mapped_vector< T, StringCompareT >:

## Public Member Functions

| mapped_vector ()
| mapped_vector (const StringCompareT &cmp)
| mapped_vector (const mapped_vector &inMappedVector)
| ~mapped_vector ()
void | push_back (const T &inT)
unsigned int | size () const
bool | empty () const
void | operator= (const mapped_vector &inMappedVector)
void | operator= (const std::vector< T > &inVector)
bool | operator== (const mapped_vector &inMappedVector)
bool | operator!= (const mapped_vector &inMappedVector)
const T & | operator[] (unsigned int index) const
const std::vector< T > & | get_vector () const
std::vector< T > & | get_vector ()
void | erase (const T &inT)
void | insert (const unsigned int index, const T &inT)
void | index_it ()
void | clear ()
unsigned int | find (const T &inT) const
| When not found, returns size() More...

## Detailed Description

### template<typename T, typename StringCompareT = std::less<T>>
class mapped_vector< T, StringCompareT >

Container of objects that maintans their order (as vector does), but provides for fast searching. Objects must be unique, i.e., for any two objects in the container operator==() must yield false.

## Constructor & Destructor Documentation

template<typename T , typename StringCompareT >

mapped_vector< T, StringCompareT >::mapped_vector | ( | ) |  |

template<typename T , typename StringCompareT>

mapped_vector< T, StringCompareT >::mapped_vector | ( | const StringCompareT & | cmp) |  |

template<typename T , typename StringCompareT>

mapped_vector< T, StringCompareT >::mapped_vector | ( | const mapped_vector< T, StringCompareT > & | inMappedVector) |  |

template<typename T , typename StringCompareT >

mapped_vector< T, StringCompareT >::~mapped_vector | ( | ) |  |

## Member Function Documentation

template<typename T , typename StringCompareT >

void mapped_vector< T, StringCompareT >::clear | ( | ) |  |

template<typename T , typename StringCompareT >

bool mapped_vector< T, StringCompareT >::empty | ( | ) |  | const

template<typename T, typename StringCompareT >

void mapped_vector< T, StringCompareT >::erase | ( | const T & | inT) |  |

template<typename T, typename StringCompareT >

unsigned int mapped_vector< T, StringCompareT >::find | ( | const T & | inT) |  | const

When not found, returns size()

template<typename T , typename StringCompareT >

const vector< T > & mapped_vector< T, StringCompareT >::get_vector | ( | ) |  | const

template<typename T , typename StringCompareT >

vector< T > & mapped_vector< T, StringCompareT >::get_vector | ( | ) |  |

template<typename T , typename StringCompareT >

void mapped_vector< T, StringCompareT >::index_it | ( | ) |  |

template<typename T, typename StringCompareT >

void mapped_vector< T, StringCompareT >::insert | ( | const unsigned int | index,
|  | const T & | inT
| ) |  |

template<typename T , typename StringCompareT >

bool mapped_vector< T, StringCompareT >::operator!= | ( | const mapped_vector< T, StringCompareT > & | inMappedVector) |  |

template<typename T , typename StringCompareT >

void mapped_vector< T, StringCompareT >::operator= | ( | const mapped_vector< T, StringCompareT > & | inMappedVector) |  |

template<typename T, typename StringCompareT = std::less<T>>

void mapped_vector< T, StringCompareT >::operator= | ( | const std::vector< T > & | inVector) |  |

template<typename T , typename StringCompareT >

bool mapped_vector< T, StringCompareT >::operator== | ( | const mapped_vector< T, StringCompareT > & | inMappedVector) |  |

template<typename T , typename StringCompareT >

const T & mapped_vector< T, StringCompareT >::operator[] | ( | unsigned int | index) |  | const

template<typename T, typename StringCompareT >

void mapped_vector< T, StringCompareT >::push_back | ( | const T & | inT) |  |

template<typename T , typename StringCompareT >

unsigned int mapped_vector< T, StringCompareT >::size | ( | ) |  | const

Referenced by ISTable::GetNumColumns().

The documentation for this class was generated from the following files:

- rcsb/mapped_vector.h
- rcsb/mapped_vector.C